package com.ejie.ab78.dao.terceros;

import java.util.List;

import com.ejie.ab78.model.terceros.TiposTercero;
import com.ejie.x38.dto.TableRequestDto;

/**
 * TiposTerceroDao  
 * 
 *  
 */

public interface TiposTerceroDao {


	TiposTercero add(TiposTercero tipostercero);

	TiposTercero update(TiposTercero tipostercero);

	TiposTercero find(TiposTercero tipostercero);

	TiposTercero findIdTipoTercero(String role);

	void remove(TiposTercero tipostercero);

	List<TiposTercero> findAll(TiposTercero tipostercero, TableRequestDto TableRequestDto);

	List<TiposTercero> findAllLike(TiposTercero tipostercero, TableRequestDto TableRequestDto, Boolean startsWith);

	Long findAllLikeCount(TiposTercero tipostercero, Boolean startsWith);

	Long findAllCount(TiposTercero tipostercero);

	List<TiposTercero> getSubtiposAll(TiposTercero tiposTercero);

}
